Bank Class Referenceabstract

`#include <Bank.h>`

Inheritance diagram for Bank:

## Public Member Functions

virtual void | poke (uint_least16_t address, uint8_t value)=0
virtual uint8_t | peek (uint_least16_t address)=0

## Detailed Description

Base interface for memory and I/O banks.

## Member Function Documentation

virtual uint8_t Bank::peek | ( | uint_least16_t | address | ) |

pure virtual

Bank read. You probably should override this method, except if the Bank is only used in write context.

Parameters

  address | value to read from

Returns
  value at address

Implemented in ZeroRAMBank, sidemu, c64cia2, ExtraSidBank, c64cia1, romBank< N >, romBank< 0x2000 >, romBank< 0x1000 >, c64vic, SystemRAMBank, ColorRAMBank, IOBank, SidBank, and c64sid.

virtual void Bank::poke | ( | uint_least16_t | address,
|  | uint8_t | value
| ) |  |

pure virtual

Bank write.

Override this method if you expect write operations on your bank. Leave unimplemented if it's logically/operationally impossible for writes to ever arrive to bank.

Parameters

  address | address to write to
  value | value to write

Implemented in ZeroRAMBank, sidemu, c64cia2, ExtraSidBank, romBank< N >, romBank< 0x2000 >, romBank< 0x1000 >, c64cia1, SystemRAMBank, c64vic, IOBank, SidBank, ColorRAMBank, and c64sid.

The documentation for this class was generated from the following file:

- Bank.h